function love.load()
--initial graphics setup
  love.graphics.setMode(1280, 720, false, true, 8) --set the window dimensions to 720p
  love.physics.setMeter(64)
  world = love.physics.newWorld(0, 0, true)
  objects = {}
  objects.rock = {}
  objects.rock.body = love.physics.newBody(world, 608, 650, "dynamic")
  objects.rock.shape = love.physics.newCircleShape(32)
  objects.rock.fixture = love.physics.newFixture(objects.rock.body, objects.rock.shape, 1)
  objects.rock.fixture:setRestitution(0.9)
  rock = love.graphics.newImage("rock.png")
  love.graphics.setBackgroundColor(25, 25, 25)
  mouse = love.mouse
  stonepower = 0
end

function love.update(dt)
  world:update(dt)
	if drag then
      objects.rock.body:setPosition(love.mouse.getX()-32,love.mouse.getY()-64)
   end
   if love.mouse.isDown("l") then
        stonepower = stonepower + (dt*1000)  -- we will increase the variable by 100 for every second the button is held down
    end 
end

function love.mousepressed(x,y,button)
   if button == "l" then
		if drag == false then
			MousePositionSaved = { x= love.mouse.getX(), y=love.mouse.getY() }
		end
	drag = true
	
    --  if objects.rock.shape:testPoint(mouse.getPosition()) then
     --    objects.rock.body:setMass(0,0,0,0)
   --   end
   end
end
function love.mousereleased()
	if drag then
		drag = false
		--	ojects.rock.body:setLinearVelocity(0,0)
		--	objects.rock.body:setMassFromShapes()
	   objects.rock.body:setLinearVelocity(0, 0)
	   objects.rock.body:setAngularVelocity(0)
	   objects.rock.body:applyForce(0, (stonepower*10)*-1) -- Snu til negativ for  kjre oppover
	   stonepower = 0
	end
end


function love.draw()
  love.graphics.draw(rock, objects.rock.body:getX(), objects.rock.body:getY(), objects.rock.shape:getRadius())
end